Loading...
Searching...
No Matches
Opm::EclipseGridInspector Class Reference

A class for inspecting the contents of an eclipse file. More...

`#include <EclipseGridInspector.hpp>`

## Public Member Functions

| EclipseGridInspector (Opm::Deck)
| Constructor taking a parser as argument.
double | cellVolumeVerticalPillars (int i, int j, int k) const
| Assuming that the pillars are vertical, compute the volume of the cell given by logical coordinates (i, j, k).
double | cellVolumeVerticalPillars (int cell_idx) const
| Assuming that the pillars are vertical, compute the volume of the cell given by the cell index.
std::pair< double, double > | cellDips (int i, int j, int k) const
| Compute the average dip in x- and y-direction of the cell tops and bottoms relative to the xy-plane.
std::pair< double, double > | cellDips (int cell_idx) const
| Wrapper for cellDips(i, j, k).
std::array< int, 3 > | cellIdxToLogicalCoords (int cell_idx) const
std::array< double, 6 > | getGridLimits () const
| Returns a vector with the outer limits of grid (in the grid's unit).
std::array< int, 3 > | gridSize () const
| Returns the extent of the logical cartesian grid as number of cells in the (i, j, k) directions.
std::array< double, 8 > | cellZvals (int i, int j, int k) const
| Returns the eight z-values associated with a given cell.

## Detailed Description

A class for inspecting the contents of an eclipse file.

Given an Eclipse deck, this class may be used to answer certain queries about its contents.

Author
  Atgeirr F. Rasmussen atgei.nosp@m.rr@s.nosp@m.intef.nosp@m..no

Date
  2008/06/02 09:46:08

## Constructor & Destructor Documentation

## EclipseGridInspector()

Opm::EclipseGridInspector::EclipseGridInspector | ( | Opm::Deck | deck | ) |

explicit

Constructor taking a parser as argument.

The parser must already have read an Eclipse file.

## Member Function Documentation

## cellDips()

std::pair< double, double > Opm::EclipseGridInspector::cellDips | ( | int | i,
|  | int | j,
|  | int | k ) const

Compute the average dip in x- and y-direction of the cell tops and bottoms relative to the xy-plane.

Return the dip slopes for the cell relative to xy-plane in x- and y- direction.

Dip slope is average rise in positive x-direction over cell length in x-direction. Similarly for y.

Current implementation is for vertical pillars, but is not difficult to fix.

Returns
  a std::pair<double,double> with x-dip in first component and y-dip in second.

## cellZvals()

std::array< double, 8 > Opm::EclipseGridInspector::cellZvals | ( | int | i,
|  | int | j,
|  | int | k ) const

Returns the eight z-values associated with a given cell.

The ordering is such that i runs fastest. That is, with L = low and H = high: {LLL, HLL, LHL, HHL, LLH, HLH, LHH, HHH }.

## getGridLimits()

std::array< double, 6 > Opm::EclipseGridInspector::getGridLimits | ( |  | ) | const

Returns a vector with the outer limits of grid (in the grid's unit).

The vector contains [xmin, xmax, ymin, ymax, zmin, zmax], as read from COORDS and ZCORN

The documentation for this class was generated from the following files:

- opm/output/eclipse/EclipseGridInspector.hpp
- opm/output/eclipse/EclipseGridInspector.cpp